<template>
  <el-dialog
    title="选择飞行模板"
    :visible.sync="dialogVisible"
    @close="cancel"
    width="20%">
    <el-form ref="form" :model="form" label-width="80px" :rules="rules">
      <el-form-item label="飞行模板">
        <el-select v-model="form.modelObj" placeholder="请选择飞行模板" @change="handleChange">
          <el-option
              v-for="item in templateArr"
              :key="item.id"
              :label="item.templateName"
              :value="item.id">
            </el-option>
        </el-select>
      </el-form-item>
      <el-form-item>
        <el-button type="primary" @click="submit">确 定</el-button>
        <el-button @click="cancel">取 消</el-button>
      </el-form-item>
    </el-form>
  </el-dialog>
</template>

<script>
import { flyDataInfo} from "@/api/system/template"
  export default {
    name:'chooseModelDialog',
    components: {
    },
    props: {
      deviceId: {
        type: String,
        defaule: null
      }
    },
    data() {
      return {
        dialogVisible: true,
        tableColumns: [
            {
              label: '设备名称',
              prop: 'deviceName'
            },
             {
              label: '所属线路',
              prop: 'belongingRoute'
            },
        ],
        selectArr:[],
        form:{
        },
        templateArr:[],
        rules:{
          modelObj: [
            { required: true, message: '请选择模板', trigger: 'change' }
          ]
        }
      };
    },
    mounted() {
      console.log(this.deviceId)
      if(this.deviceId){
        flyDataInfo(this.deviceId).then(res=>{
          console.log(res)
          if(res.code == 200 ) {
            this.templateArr = res.rows
          }
        })
        //点击模板查询设备下的关联模型的所有模板 
      }
    },  
    methods: {
      cancel(){
        this.$emit('cancelModel')
      }, 
      handleChange(value){
         this.form.deviceId = this.deviceId
        this.form.modelObj =this.templateArr.find(item => item.id === value)
      },
      submit(){
        // this.selectArr 
        // //反显参数传递option对象  
        // this.form.deviceId = this.deviceId
        // console.log(this.form)
        this.$emit('receiveModel',this.form)
        this.$emit('cancelModel')
      },
    }
  };
</script>